using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Data;
using Telerik.Web.UI;

public partial class _Default : System.Web.UI.Page
{
    protected override void OnInit(EventArgs e)
    {
        base.OnInit(e);

        RadGrid1.NeedDataSource += new Telerik.Web.UI.GridNeedDataSourceEventHandler(RadGrid1_NeedDataSource);
    }

    void RadGrid1_NeedDataSource(object sender, Telerik.Web.UI.GridNeedDataSourceEventArgs e)
    {
        List<A> collection = new List<A>() { 
            new A(){ ID = 1, BProp = new B(){ Name="Name1"}},
            new A(){ ID = 2, BProp = new B(){ Name="Name2"}},
            new A(){ ID = 3, BProp = new B(){ Name="Name3"}},
        };

        RadGrid1.DataSource = collection;
    }
}

public class A
{
    public int ID { get; set; }
    public B BProp { get; set; }
}

public class B
{
    public string Name { get; set; }
}
